pipeline {
	agent any


    stages {

stage('Login') {
            steps {

                sh 'docker login --username ademdimessi19 --password tarajiyedawla1919'

            }
        }





        stage('Build du projet') {
		 agent { docker 'maven:3-alpine' }
            steps {

                sh 'mvn clean install -DskipTests '
				stash includes: 'target/*.jar', name: 'targetfiles'

            }
        }



	stage('Construction image') {
            steps {
                 unstash 'targetfiles'

			   script {

                        sh 'docker build . -t eurekamc:latest'
						sh 'docker tag eurekamc ademdimessi19/eurekamc'
						sh 'docker push ademdimessi19/eurekamc'

                    }


               }
            }
        }
}